Subject: Re: Include patch id in commitfest page

From: Magnus Hagander <[email-masked]>
Date: Sat, 11 Jan 2025 13:51:23 +0100

On Sat, Jan 11, 2025 at 10:40 AM Peter Eisentraut <[email-masked]>
wrote:

> I want to register that I'm not a fan of this change:
>
>
> https://git.postgresql.org/gitweb/?p=pgcommitfest2.git;a=commit;h=eee60a5332ac0745071086477ff4e189b080d3ab
>
> Rationale: It puts the least important information first.  For the most
> part, the CF entry number is irrelevant, so it shouldn't be shown in
> such a prominent position.
>
> Maybe
>
>     <a>title here</a> (number here)
>
> would be a compromise.  But looking at the original argument:
>
> """
> Clicking the patch header would sort by the patch ID, but that ID would
> not actually be visible. Effectively resulting in random ordering for
> the user, so let's just show the ID.
> """
>
> I would suggest that the actual fix would be to order by title instead
> of ID.
>
> Or just turn the sorting off.
>
>
I'll revert this one pending further discussions, and then we can figure
out what we want to put back.

-- 
 Magnus Hagander
 Me: https://www.hagander.net/ <http://www.hagander.net/>
 Work: https://www.redpill-linpro.com/ <http://www.redpill-linpro.com/>